Subject: bug#44773: closed (Re: bug#44773: guix pull does not support transformation options but claims to)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Nov 2020 11:44:01 +0000

Your bug report

#44773: guix pull does not support transformation options but claims to

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44773: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44773
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44773: guix pull does not support transformation options but claims to
From: Ludovic Courtès <[email-masked]>
To: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: [email-masked]
Date: Sat, 21 Nov 2020 12:43:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> Running `guix pull --help-transform' displays all the usual
> transformation options, but when I try to use any, it reports an
> unrecognized option.

Oops, fixed in e79ecff045094a75226439a6284306475a2f907e.  I’ll
cherry-pick it in ‘version-1.2.0’.

> It would be nice if I could use `guix pull --without-tests=glib' since
> tests time out on my (somewhat slow) Beaglebone Black.

It’s unfortunately not really an option.

Are substitutes for GLib missing?

Thanks,
Ludo’.

Subject: guix pull does not support transformation options but claims to
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: [email-masked]
Date: Sat, 21 Nov 2020 01:09:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Running `guix pull --help-transform' displays all the usual
transformation options, but when I try to use any, it reports an
unrecognized option.

It would be nice if I could use `guix pull --without-tests=glib' since
tests time out on my (somewhat slow) Beaglebone Black.

Regards,
Florian